

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/sis/sis_main.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

diff -puN drivers/video/sis/sis_main.c~sisfb-build-fix drivers/video/sis/sis_main.c
--- 25/drivers/video/sis/sis_main.c~sisfb-build-fix	2004-06-08 01:38:44.584544304 -0700
+++ 25-akpm/drivers/video/sis/sis_main.c	2004-06-08 01:38:57.319608280 -0700
@@ -4957,10 +4957,12 @@ int __devinit sisfb_probe(struct pci_dev
 	} else {
 		ivideo->modeprechange = 0x03;
 #if defined(__i386__) || defined(__x86_64__)
-		unsigned char *tt = ioremap(0, 0x1000);
-		if(tt) {
-		   	ivideo->modeprechange = tt[0x449];
-		   	iounmap(tt);
+		{
+			unsigned char *tt = ioremap(0, 0x1000);
+			if(tt) {
+			   	ivideo->modeprechange = tt[0x449];
+			   	iounmap(tt);
+			}
 		}
 #endif
 	}
_
